> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagecall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User

> Delete user with user id



## OpenAPI

````yaml DELETE /users/{user_id}
openapi: 3.0.0
info:
  title: Pagecall Public API - OpenAPI 3.0
  description: >-
    This is a official Pagecall API Documents written in OpenAPI 3.0.

    Responses from the Pagecall API may contain more information, but what is
    not stated in this document may change at any time without any notice.
  termsOfService: https://pplink.notion.site/774e4131813b47f8b06e3da4524604e8
  contact:
    email: support@pagecall.com
  version: 1.0.0
servers:
  - url: https://api.pagecall.com/v1
security: []
tags:
  - name: room
    description: Operations about room resources
paths:
  /users/{user_id}:
    parameters:
      - in: path
        name: user_id
        required: true
        schema:
          type: string
        description: '`user_id` of the user'
        example: external_user_102932
    delete:
      tags:
        - user
      summary: Delete User
      description: Delete user with user id
      operationId: DeleteUser
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                required:
                  - users
                properties:
                  user:
                    $ref: '#/components/schemas/User'
        '400':
          description: Invalid Parameters Supplied or Unauthenticated or Unauthorized
        '500':
          description: Validation exception
      security:
        - ApiKeyAuth: []
components:
  schemas:
    User:
      type: object
      properties:
        user_id:
          type: string
          description: >-
            ID of the user. Will override exisiting user if the specified ID
            already being used. Please note that `id` field is only used
            internally.
          example: external_user_102932
        name:
          type: string
          description: Name of the user.
          example: scotty
        profile_url:
          type: string
          example: >-
            https://www.gravatar.com/avatar/00000000000000000000000000000000?d=mp&f=y
          description: Profile image of the user
        default_member_type:
          $ref: '#/components/schemas/MemberType'
          description: Default type of member when invited to room
          default: guest
        access_token:
          type: string
          description: Access token to authenticate as the user.
          example: TfowtRYBs0E_trzoTaCmAXKzB1JxDDhi
        created_at:
          type: string
          example: '2023-01-01T01:00:00.000Z'
          description: Creation time of the user
          format: date-time
        updated_at:
          type: string
          example: '2023-01-01T01:00:00.000Z'
          description: Last modified time of the user
          format: date-time
    MemberType:
      type: string
      description: >
        Type of user in this room

        - guest: The user is guest.

        - host: The user is host. This user has administrator privileges.

        - monitor: The user is observer. Can watch the meeting, but can not
        join.
      enum:
        - guest
        - host
        - monitor
      example: guest
      default: guest
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````